rubber 0.2.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 95

An elastic material bottom sheet implementation for Flutter.

This is still an early preview, some behaviors can change or being removed. Every feedback, bug report or feature request is welcome, please send it at the issue tracker

Follow the Quick Start to add it to your project. Is also available the complete example in the repository to preview the library on your device.

[0.2.2] - 07/01/2019

  • Added scroll feature

[0.2.1] - 26/12/2018

  • Added some spring descriptions
  • Added new example to show spring settings
  • Fixed pixel size initial value

[0.2.0] - 18/12/2018

  • Added dismissable parameter to the animation controller
  • Now it is possible to use pixel measures instead of percentages.
  • Added the menu example

[0.1.7] - 17/12/2018

  • Fixed example and hiding

[0.1.6] - 17/12/2018

  • Fixed animation value < 0 or > 1

[0.1.5] - 17/12/2018

  • Changed hide/show control and optimized

[0.1.4] - 17/12/2018

  • Changed description and readme

[0.1.3] - 16/12/2018

  • Initial release

example/README.md

Rubber example #

A complete example is available in the github repository.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  rubber: ^0.2.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:rubber/rubber.dart';
  
Version Uploaded Documentation Archive
0.3.2 May 12, 2019 Go to the documentation of rubber 0.3.2 Download rubber 0.3.2 archive
0.3.1 May 12, 2019 Go to the documentation of rubber 0.3.1 Download rubber 0.3.1 archive
0.2.9 May 4, 2019 Go to the documentation of rubber 0.2.9 Download rubber 0.2.9 archive
0.2.8 May 2, 2019 Go to the documentation of rubber 0.2.8 Download rubber 0.2.8 archive
0.2.7 Mar 17, 2019 Go to the documentation of rubber 0.2.7 Download rubber 0.2.7 archive
0.2.6 Feb 8, 2019 Go to the documentation of rubber 0.2.6 Download rubber 0.2.6 archive
0.2.5 Jan 12, 2019 Go to the documentation of rubber 0.2.5 Download rubber 0.2.5 archive
0.2.4 Jan 8, 2019 Go to the documentation of rubber 0.2.4 Download rubber 0.2.4 archive
0.2.3 Jan 8, 2019 Go to the documentation of rubber 0.2.3 Download rubber 0.2.3 archive
0.2.2 Jan 7, 2019 Go to the documentation of rubber 0.2.2 Download rubber 0.2.2 archive

All 20 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
89
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
95
Learn more about scoring.

We analyzed this package on May 8, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.0
  • pana: 0.12.15
  • Flutter: 1.5.8

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/src/animation_controller.dart.

Run flutter format to format lib/src/animation_controller.dart.

Format lib/src/bottom_sheet.dart.

Run flutter format to format lib/src/bottom_sheet.dart.

Format lib/src/spring_simulation.dart.

Run flutter format to format lib/src/spring_simulation.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
after_layout ^1.0.7 1.0.7
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test